<?php

namespace App\Http\Middleware;

use Closure;
use Auth;

class CheckSupervisorStatus
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (Auth::guard('supervisor')->check()) {
            $user = auth()->guard('supervisor')->user();
            if ($user->status) {
                return $next($request);
            } else {
                return to_route('supervisor.banned');
            }
        }
        abort(403);
    }
}
